<?php
/**
 * OpenMage
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available at https://opensource.org/license/osl-3-0-php
 *
 * @category   Mage
 * @package    Mage_Shipping
 * @copyright  Copyright (c) 2006-2020 Magento, Inc. (https://www.magento.com)
 * @copyright  Copyright (c) 2020-2022 The OpenMage Contributors (https://www.openmage.org)
 * @license    https://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

/**
 * @category   Mage
 * @package    Mage_Shipping
 *
 * @method $this setOrderShipment(Mage_Sales_Model_Order_Shipment $orderShipment)
 * @method Mage_Sales_Model_Order_Shipment getOrderShipment()
 *
 * @method $this setShipperContactPersonName(string $value)
 * @method string getShipperContactPersonName()
 * @method $this setShipperContactPersonFirstName(string $value)
 * @method string getShipperContactPersonFirstName()
 * @method $this setShipperContactPersonLastName(string $value)
 * @method string getShipperContactPersonLastName()
 * @method $this setShipperContactCompanyName(string $value)
 * @method string getShipperContactCompanyName()
 * @method $this setShipperContactPhoneNumber(int $value)
 * @method int getShipperContactPhoneNumber()
 * @method $this setShipperAddressStreet(string $value)
 * @method string getShipperAddressStreet()
 * @method $this setShipperAddressStreet1(string $value)
 * @method string getShipperAddressStreet1()
 * @method $this setShipperAddressStreet2(string $value)
 * @method string getShipperAddressStreet2()
 * @method $this setShipperAddressCity(string $value)
 * @method string getShipperAddressCity()
 * @method $this setShipperAddressStateOrProvinceCode(string $value)
 * @method string getShipperAddressStateOrProvinceCode()
 * @method $this setShipperAddressPostalCode(int $value)
 * @method int getShipperAddressPostalCode()
 * @method $this setShipperAddressCountryCode(string $value)
 * @method string getShipperAddressCountryCode()
 * @method $this setRecipientContactPersonName(string $value)
 * @method string getRecipientContactPersonName()
 * @method $this setRecipientContactPersonFirstName(string $value)
 * @method string getRecipientContactPersonFirstName()
 * @method $this setRecipientContactPersonLastName(string $value)
 * @method string getRecipientContactPersonLastName()
 * @method $this setRecipientContactCompanyName(string $value)
 * @method string getRecipientContactCompanyName()
 * @method $this setRecipientContactPhoneNumber(int $value)
 * @method int getRecipientContactPhoneNumber()
 * @method $this setRecipientAddressStreet(string $value)
 * @method string getRecipientAddressStreet()
 * @method $this setRecipientAddressStreet1(string $value)
 * @method string getRecipientAddressStreet1()
 * @method $this setRecipientAddressStreet2(string $value)
 * @method string getRecipientAddressStreet2()
 * @method $this setRecipientAddressCity(string $value)
 * @method string getRecipientAddressCity()
 * @method $this setRecipientAddressRegionCode(string $value)
 * @method $this setRecipientAddressStateOrProvinceCode(string $value)
 * @method string getRecipientAddressStateOrProvinceCode()
 * @method $this setRecipientAddressPostalCode(int $value)
 * @method int getRecipientAddressPostalCode()
 * @method $this setRecipientAddressCountryCode(string $value)
 * @method string getRecipientAddressCountryCode()
 * @method $this setShippingMethod(string $value)
 * @method string getShippingMethod()
 * @method $this setPackageWeight(float $value)
 * @method float getPackageWeight()
 * @method $this setPackages(int $value)
 * @method $this setRecipientEmail(string $value)
 * @method $this setShipperEmail(string $value)
 * @method $this setBaseCurrencyCode(string $value)
 * @method $this setStoreId(int $value)
 */
class Mage_Shipping_Model_Shipment_Request extends Varien_Object
{
}
